function [ U ] = examplemtxGen(  m, n, li, mu )
%EXAMPLEMTXGEN Returns a m by n matrix U with orthonormal columns and leverage
%scores li.
%
%   [ U ] = mtxGen_li( m, n, li, mu ) Returns a m by n matrix U with
%     orthonormal columns and leverage scores li or coherence mu.
%
%   [ U ] = mtxGen_li( 'info' ) will return data about this matrix generation
%     algorithm, including what what inputs it needs.

if nargin==1
    if strcmp(m,'info');
        U=struct;
        U.plotName='Short name of matrix generation algorithm (for plot)';
        U.name='Long name of atrix generation algorithm';
        U.inputsNeeded.m=1;
        U.inputsNeeded.n=1;
        U.inputsNeeded.c=0;
        U.inputsNeeded.mu=0;
        U.inputsNeeded.delta=0;
        U.inputsNeeded.li=1;
        U.inputsNeeded.Q=0;
        U.type='mtxGen';
        return;
    else
        error('Wrong number of inputs.')
    end
elseif nargin~=3
    error('Wrong number of inputs.')
end

%PUT CODE FOR COMPUTING MATRIX HERE.


end

